Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.hammurapi.bnf2emf
Enum Attribute.AttributeType

    java.lang.Object
      java.lang.Enum<Attribute.AttributeType>
          com.hammurapi.bnf2emf.Attribute.AttributeType

All Implemented Interfaces:
  Serializable, Comparable<Attribute.AttributeType>

Enclosing class:
  Attribute

    public static enum Attribute.AttributeType

extends Enum<Attribute.AttributeType>

Enum Constant Summary
`ATTRIBUTE`
`REFERENCE`

Method Summary
`static Attribute.AttributeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Attribute.AttributeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ATTRIBUTE

    public static final Attribute.AttributeType ATTRIBUTE

### REFERENCE

    public static final Attribute.AttributeType REFERENCE

Method Detail

### values

    public static Attribute.AttributeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Attribute.AttributeType c : Attribute.AttributeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Attribute.AttributeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD